org.eclipse.ease.lang.unittest.runtime.util

## Class RuntimeSwitch<T>

- java.lang.Object
- - org.eclipse.emf.ecore.util.Switch<T>
  - - org.eclipse.ease.lang.unittest.runtime.util.RuntimeSwitch<T>

    public class RuntimeSwitch<T>
    extends org.eclipse.emf.ecore.util.Switch<T>

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `IRuntimePackage`

### Constructor Summary

Constructors
Constructor and Description
`RuntimeSwitch()` Creates an instance of the switch.

### Method Summary

All Methods Instance Methods Concrete Methods
`T` `caseMetadata(IMetadata object)` Returns the result of interpreting the object as an instance of 'Metadata'.
`T` `caseStackTraceContainer(IStackTraceContainer object)` Returns the result of interpreting the object as an instance of 'Stack Trace Container'.
`T` `caseTest(ITest object)` Returns the result of interpreting the object as an instance of 'Test'.
`T` `caseTestClass(ITestClass object)` Returns the result of interpreting the object as an instance of 'Test Class'.
`T` `caseTestContainer(ITestContainer object)` Returns the result of interpreting the object as an instance of 'Test Container'.
`T` `caseTestEntity(ITestEntity object)` Returns the result of interpreting the object as an instance of 'Test Entity'.
`T` `caseTestFile(ITestFile object)` Returns the result of interpreting the object as an instance of 'Test File'.
`T` `caseTestFolder(ITestFolder object)` Returns the result of interpreting the object as an instance of 'Test Folder'.
`T` `caseTestResult(ITestResult object)` Returns the result of interpreting the object as an instance of 'Test Result'.
`T` `caseTestSuite(ITestSuite object)` Returns the result of interpreting the object as an instance of 'Test Suite'.
`T` `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'.

### Methods inherited from class org.eclipse.emf.ecore.util.Switch

`doSwitch`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RuntimeSwitch

    public RuntimeSwitch()

Creates an instance of the switch.

### Method Detail

#### caseTestEntity

    public T caseTestEntity(ITestEntity object)

Returns the result of interpreting the object as an instance of 'Test Entity'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Test Entity'.
See Also:
  `doSwitch(EObject)`

#### caseTestContainer

    public T caseTestContainer(ITestContainer object)

Returns the result of interpreting the object as an instance of 'Test Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Test Container'.
See Also:
  `doSwitch(EObject)`

#### caseTest

    public T caseTest(ITest object)

Returns the result of interpreting the object as an instance of 'Test'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Test'.
See Also:
  `doSwitch(EObject)`

#### caseTestSuite

    public T caseTestSuite(ITestSuite object)

Returns the result of interpreting the object as an instance of 'Test Suite'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Test Suite'.
See Also:
  `doSwitch(EObject)`

#### caseTestFolder

    public T caseTestFolder(ITestFolder object)

Returns the result of interpreting the object as an instance of 'Test Folder'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Test Folder'.
See Also:
  `doSwitch(EObject)`

#### caseTestClass

    public T caseTestClass(ITestClass object)

Returns the result of interpreting the object as an instance of 'Test Class'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Test Class'.
See Also:
  `doSwitch(EObject)`

#### caseTestResult

    public T caseTestResult(ITestResult object)

Returns the result of interpreting the object as an instance of 'Test Result'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Test Result'.
See Also:
  `doSwitch(EObject)`

#### caseTestFile

    public T caseTestFile(ITestFile object)

Returns the result of interpreting the object as an instance of 'Test File'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Test File'.
See Also:
  `doSwitch(EObject)`

#### caseStackTraceContainer

    public T caseStackTraceContainer(IStackTraceContainer object)

Returns the result of interpreting the object as an instance of 'Stack Trace Container'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Stack Trace Container'.
See Also:
  `doSwitch(EObject)`

#### caseMetadata

    public T caseMetadata(IMetadata object)

Returns the result of interpreting the object as an instance of 'Metadata'. This implementation returns null; returning a non-null result will terminate the switch.

Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'Metadata'.
See Also:
  `doSwitch(EObject)`

#### defaultCase

    public T defaultCase(org.eclipse.emf.ecore.EObject object)

Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

Overrides:
  `defaultCase` in class `org.eclipse.emf.ecore.util.Switch<T>`
Parameters:
  `object` - the target of the switch.
Returns:
  the result of interpreting the object as an instance of 'EObject'.
See Also:
  `Switch.doSwitch(org.eclipse.emf.ecore.EObject)`